Delete Report Option By Id
https://app.fossa.com/api/report-options/{id}Delete a saved report option by ID. Requires permission to delete report options (ReportOptionAny or TeamReportOptionAny with Delete action).
Path parameters
idintegerrequiredThe unique identifier of the report option to delete
Responses
204Report option deleted successfully. No content returned.401UnauthorizeduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
403Forbidden - User lacks permission or report option not founduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
500Server ErroruuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
DELETE https://app.fossa.com/api/report-options/1curl --request DELETE \ --url 'https://app.fossa.com/api/report-options/1' \ --header 'accept: application/json' \ --header 'authorization: Bearer YOUR_API_TOKEN'Real request. Mutating methods can change data.
Path params
idintegerrequiredThe unique identifier of the report option to delete